Package org.drinkless.tdlib

# Class TdApi.SetReactionNotificationSettings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetReactionNotificationSettings

Enclosing class:
  TdApi

public static class TdApi.SetReactionNotificationSettings extends TdApi.Function<TdApi.Ok>
Changes notification settings for reactions.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ReactionNotificationSettings`
  `notificationSettings`
  The new notification settings for reactions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetReactionNotificationSettings()`
  Default constructor for a function, which changes notification settings for reactions.
  `SetReactionNotificationSettings(TdApi.ReactionNotificationSettings notificationSettings)`
  Creates a function, which changes notification settings for reactions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### notificationSettings

    public TdApi.ReactionNotificationSettings notificationSettings
    The new notification settings for reactions.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetReactionNotificationSettings

    public SetReactionNotificationSettings()
    Default constructor for a function, which changes notification settings for reactions.

    Returns `Ok`

  - ### SetReactionNotificationSettings

    public SetReactionNotificationSettings(TdApi.ReactionNotificationSettings notificationSettings)
    Creates a function, which changes notification settings for reactions.

    Returns `Ok`

    Parameters:
      `notificationSettings` - The new notification settings for reactions.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR